Package ru.bitel.common

# Class DateTimeUtils

java.lang.Object
ru.bitel.common.DateTimeUtils

public class DateTimeUtils extends Object
Новый утильный класс для java.time.*

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DATE_FORMAT_PATTERN_DDMMYYYY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateTimeUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `format(LocalDate localDate, String dateFormat)`
  Форматирует LocalDate в строку указанным шаблоном.
  `static String`
  `formatDate(LocalDate date)`
  Форматирование в дд.мм.гггг, если null то вернёт null
  `static String`
  `formatDateTime(LocalDateTime datetime)`
  Форматирование в дд.мм.гггг чч:мм:сс, если null то вернёт null
  `static LocalDate`
  `parseLocalDate(String value, String dateFormat)`
  Парсит в LocalDate из строки с указанным шаблоном.
  `static LocalDateTime`
  `parseLocalDateTime(String value, String dateTimeFormat)`
  Парсит в LocalDateTime из строки с указанным шаблоном.
  `static final LocalDate`
  `toLocalDate(Date date)`
  Преобразует старую java.util.Date в LocalDate используя дефолтную системную таймзону.
  `static Date`
  `toOldDate(LocalDate date)`
  Преобразует LocalDate в старую java.util.Date + время 00:00:00, используя дефолтную системную таймзону.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DATE_FORMAT_PATTERN_DDMMYYYY

    public static final String DATE_FORMAT_PATTERN_DDMMYYYY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DateTimeUtils

    public DateTimeUtils()

- ## Method Details

  - ### parseLocalDate

    public static LocalDate parseLocalDate(String value, String dateFormat)
    Парсит в LocalDate из строки с указанным шаблоном.

  - ### parseLocalDateTime

    public static LocalDateTime parseLocalDateTime(String value, String dateTimeFormat)
    Парсит в LocalDateTime из строки с указанным шаблоном.

  - ### format

    public static final String format(LocalDate localDate, String dateFormat)
    Форматирует LocalDate в строку указанным шаблоном.

  - ### toLocalDate

    public static final LocalDate toLocalDate(Date date)
    Преобразует старую java.util.Date в LocalDate используя дефолтную системную таймзону. Если на входе null то на выходе тоже null.

  - ### toOldDate

    public static Date toOldDate(LocalDate date)
    Преобразует LocalDate в старую java.util.Date + время 00:00:00, используя дефолтную системную таймзону. Если на входе null то на выходе тоже null.

  - ### formatDate

    public static String formatDate(LocalDate date)
    Форматирование в дд.мм.гггг, если null то вернёт null

  - ### formatDateTime

    public static String formatDateTime(LocalDateTime datetime)
    Форматирование в дд.мм.гггг чч:мм:сс, если null то вернёт null